package com.yeejoin.equipmanage.common.entity.vo;

import lombok.Data;

import java.util.List;

public class EquipTrendResultVo {
    private List<String> legends;
    private String yAxisName;
    private List<String> xAxisData;
    private List<List<Object>> yAxisData;
    private List<List<String>> threshold;

    public List<String> getLegends() {
        return legends;
    }

    public void setLegends(List<String> legends) {
        this.legends = legends;
    }

    public String getyAxisName() {
        return yAxisName;
    }

    public void setyAxisName(String yAxisName) {
        this.yAxisName = yAxisName;
    }

    public List<String> getxAxisData() {
        return xAxisData;
    }

    public void setxAxisData(List<String> xAxisData) {
        this.xAxisData = xAxisData;
    }

    public List<List<Object>> getyAxisData() {
        return yAxisData;
    }

    public void setyAxisData(List<List<Object>> yAxisData) {
        this.yAxisData = yAxisData;
    }

    public List<List<String>> getThreshold() {
        return threshold;
    }

    public void setThreshold(List<List<String>> threshold) {
        this.threshold = threshold;
    }
}
